Module
Contents
Index 🔎︎

# InputBox Function

Visar en textruta i en dialogruta som användaren kan mata in text i. En variabel tilldelas det inmatade värdet.

Ett InputBox-uttryck är ett enkelt sätt att hämta text från användaren. Användaren bekräftar inmatningen genom att klicka på OK eller genom att trycka på Retur. Inmatningen returneras som ett funktionsvärde. Om användaren stänger dialogrutan med Avbryt, returnerar InputBox en tom sträng ("").

## Syntax:

    InputBox (Meddelande As String[, Rubrik As String[, Standard As String[, x_pos As Integer, y_pos As Integer]]]])

## Returvärde:

String

## Parameter:

Meddelande: Ett stränguttryck som ska visas i dialogrutan.

Rubrik: Stränguttryck som visas i dialogrutans titellist.

Standard: Stränguttryck som visas i textrutan och som används om användaren inte skriver in någon text.

x_pos: Heltal som anger dialogrutans vågräta position. Positionen är en absolut koordinat och hänvisar inte till Office-programmets fönster.

y_pos: Heltal som anger dialogrutans lodräta position. Positionen är en absolut koordinat och hänvisar inte till Office-programmets fönster.

Om varken x_pos eller y_pos anges visas dialogrutan på mitten av skärmen. Positionen anges i måttenheten twips.

## Exempel:

    Sub ExampleInputBox

    Dim sText As String

        sText = InputBox("Skriv in en kort mening:", "Till användaren")

        MsgBox ( sText , 64, "Bekräfta fras")

    End Sub